SoCreaseAngleElement(3)

NAME
SoCreaseAngleElement - The SoCreaseAngleElement class stores the crease angle during a scene graph traversal.

SYNOPSIS

#include <Inventor/elements/SoCreaseAngleElement.h>

Inherits SoFloatElement.

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const float complexity)
static void set (SoState *const state, const float complexity)
static float get (SoState *const state)
static float get (SoState *const state, const SbBool isvrml1)
static float getDefault (void)
static float getDefault (const SbBool isvrml1)

  Protected Member Functions
virtual ~SoCreaseAngleElement ()

  Additional Inherited Members

Detailed Description

The SoCreaseAngleElement class stores the crease angle during a scene graph traversal.

Constructor & Destructor Documentation

  SoCreaseAngleElement::~SoCreaseAngleElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  static SoType SoCreaseAngleElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

This static method returns the class type.

  static int SoCreaseAngleElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

This static method returns the state stack index for the class.

  void * SoCreaseAngleElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoCreaseAngleElement::initClass (void) [static]
This static method initializes static data for the SoCreaseAngleElement class.

  void SoCreaseAngleElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value is 0.0.

Reimplemented from SoFloatElement.

  void SoCreaseAngleElement::set (SoState *const state, SoNode *const node, const float complexity) [static]
Sets the value of this element.

  void SoCreaseAngleElement::set (SoState *const state, const float complexity) [static]
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

  float SoCreaseAngleElement::get (SoState *const state) [static]
Returns the element value. This method can be used if you know that the node that is going to use the crease angle is an Inventor node.

  float SoCreaseAngleElement::get (SoState *const state, const SbBool isvrml1) [static]
Returns the element value. isvrml1 should be TRUE if the node requesting the value is a VRML1 node.

This method is an extension versus the Open Inventor API.

See also
    SoNode::getNodeType()

  float SoCreaseAngleElement::getDefault (void) [static]
Returns the default value for Inventor scene graphs (0.0).

  float SoCreaseAngleElement::getDefault (const SbBool isvrml1) [static]
Returns the default value for this element. isvrml1 should be TRUE if the node requesting the value is a VRML1 node.

This method is an extension versus the Open Inventor API.

See also
    SoNode::getNodeType()

Author

Generated automatically by Doxygen for Coin from the source code.